using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore.Internal;
using pwt_0x01_ng.Models;
using pwt_0x01_ng.Models.Dbfake;

namespace pwt_0x01_ng.Areas.Admin.Controllers
{
    [Area("Admin")]
    public class CarouselController : Controller
    {
        private IList<Carousel> Carousels = Dbfake.Carousels;
        // GET
        public IActionResult Select()
        {
            CarouselViewModel carousel = new CarouselViewModel();
            carousel.Carousels = Carousels;
            return View(carousel);
        }

        public IActionResult Create()
        {
            return View();
        }
        public IActionResult Edit(int id)
        {
            Carousel carousel_item = Carousels.Where(c_item => c_item.id == id).FirstOrDefault();
            if (carousel_item != null)
            {
                return View(carousel_item);
            }
            else
            {
                return NotFound();
            }
        }
        public IActionResult Delete(int id)
        {
            Carousel carousel_item = Carousels.Where(c_item => c_item.id == id).FirstOrDefault();
            if (carousel_item != null)
            {
                Carousels.Remove(carousel_item);
                return RedirectToAction(nameof(Select));
            }
            else
            {
                return NotFound();
            }
        }
    }
}
